[Overview][Types][Classes][Variables][Index] | Reference for unit 'Printers' (#lcl)

# TPrinterCanvas.EndDoc

Performs actions needed when a document has finished printing.

## Declaration

Source position: printers.pas line 118

`public procedure TPrinterCanvas.EndDoc; virtual;`

## Description

EndDoc is a procedure used to perform actions needed when a document has finished printing. EndDoc has an empty implementation in TPrinterCanvas.

EndDoc is called from both the EndDoc and the Abort methods in TPrinter.

## See also

TPrinter.EndDoc |  | Ends printing for the current document.
TPrinter.Abort |  | Terminates printing of the current document (when active).